# CMake generated Testfile for 
# Source directory: /Users/h/sdk-folder/sdk-source/avs-device-sdk/CapabilityAgents/AudioPlayer/test
# Build directory: /Users/h/sdk-folder/sdk-build/CapabilityAgents/AudioPlayer/test
# 
# This file includes the relevant testing commands required for 
# testing this directory and lists subdirectories to be tested as well.
add_test(AudioPlayerTest.testCreateWithNullPointers "/Users/h/sdk-folder/sdk-build/CapabilityAgents/AudioPlayer/test/AudioPlayerTest" "--gtest_filter=AudioPlayerTest.testCreateWithNullPointers")
add_test(AudioPlayerTest.testTransitionFromIdleToPlaying "/Users/h/sdk-folder/sdk-build/CapabilityAgents/AudioPlayer/test/AudioPlayerTest" "--gtest_filter=AudioPlayerTest.testTransitionFromIdleToPlaying")
add_test(AudioPlayerTest.testTransitionFromPlayingToStopped "/Users/h/sdk-folder/sdk-build/CapabilityAgents/AudioPlayer/test/AudioPlayerTest" "--gtest_filter=AudioPlayerTest.testTransitionFromPlayingToStopped")
add_test(AudioPlayerTest.testTransitionFromPlayingToStoppedWithClear "/Users/h/sdk-folder/sdk-build/CapabilityAgents/AudioPlayer/test/AudioPlayerTest" "--gtest_filter=AudioPlayerTest.testTransitionFromPlayingToStoppedWithClear")
add_test(AudioPlayerTest.testTransitionFromStoppedToPlaying "/Users/h/sdk-folder/sdk-build/CapabilityAgents/AudioPlayer/test/AudioPlayerTest" "--gtest_filter=AudioPlayerTest.testTransitionFromStoppedToPlaying")
add_test(AudioPlayerTest.testTransitionFromPlayingToPaused "/Users/h/sdk-folder/sdk-build/CapabilityAgents/AudioPlayer/test/AudioPlayerTest" "--gtest_filter=AudioPlayerTest.testTransitionFromPlayingToPaused")
add_test(AudioPlayerTest.testTransitionFromPausedToStopped "/Users/h/sdk-folder/sdk-build/CapabilityAgents/AudioPlayer/test/AudioPlayerTest" "--gtest_filter=AudioPlayerTest.testTransitionFromPausedToStopped")
add_test(AudioPlayerTest.testResumeAfterPaused "/Users/h/sdk-folder/sdk-build/CapabilityAgents/AudioPlayer/test/AudioPlayerTest" "--gtest_filter=AudioPlayerTest.testResumeAfterPaused")
add_test(AudioPlayerTest.testCallingProvideStateWhenIdle "/Users/h/sdk-folder/sdk-build/CapabilityAgents/AudioPlayer/test/AudioPlayerTest" "--gtest_filter=AudioPlayerTest.testCallingProvideStateWhenIdle")
add_test(AudioPlayerTest.testOnPlaybackError "/Users/h/sdk-folder/sdk-build/CapabilityAgents/AudioPlayer/test/AudioPlayerTest" "--gtest_filter=AudioPlayerTest.testOnPlaybackError")
add_test(AudioPlayerTest.testOnPlaybackPaused "/Users/h/sdk-folder/sdk-build/CapabilityAgents/AudioPlayer/test/AudioPlayerTest" "--gtest_filter=AudioPlayerTest.testOnPlaybackPaused")
add_test(AudioPlayerTest.testOnPlaybackResumed "/Users/h/sdk-folder/sdk-build/CapabilityAgents/AudioPlayer/test/AudioPlayerTest" "--gtest_filter=AudioPlayerTest.testOnPlaybackResumed")
add_test(AudioPlayerTest.testOnPlaybackFinished "/Users/h/sdk-folder/sdk-build/CapabilityAgents/AudioPlayer/test/AudioPlayerTest" "--gtest_filter=AudioPlayerTest.testOnPlaybackFinished")
add_test(AudioPlayerTest.testOnBufferUnderrun "/Users/h/sdk-folder/sdk-build/CapabilityAgents/AudioPlayer/test/AudioPlayerTest" "--gtest_filter=AudioPlayerTest.testOnBufferUnderrun")
add_test(AudioPlayerTest.testOnBufferRefilled "/Users/h/sdk-folder/sdk-build/CapabilityAgents/AudioPlayer/test/AudioPlayerTest" "--gtest_filter=AudioPlayerTest.testOnBufferRefilled")
add_test(AudioPlayerTest.testOnTags "/Users/h/sdk-folder/sdk-build/CapabilityAgents/AudioPlayer/test/AudioPlayerTest" "--gtest_filter=AudioPlayerTest.testOnTags")
add_test(AudioPlayerTest.testCancelDirective "/Users/h/sdk-folder/sdk-build/CapabilityAgents/AudioPlayer/test/AudioPlayerTest" "--gtest_filter=AudioPlayerTest.testCancelDirective")
add_test(AudioPlayerTest.testFocusChangeToNoneInIdleState "/Users/h/sdk-folder/sdk-build/CapabilityAgents/AudioPlayer/test/AudioPlayerTest" "--gtest_filter=AudioPlayerTest.testFocusChangeToNoneInIdleState")
add_test(AudioPlayerTest.testFocusChangeFromForegroundToBackgroundInIdleState "/Users/h/sdk-folder/sdk-build/CapabilityAgents/AudioPlayer/test/AudioPlayerTest" "--gtest_filter=AudioPlayerTest.testFocusChangeFromForegroundToBackgroundInIdleState")
add_test(AudioPlayerTest.testFocusChangeFromNoneToBackgroundInIdleState "/Users/h/sdk-folder/sdk-build/CapabilityAgents/AudioPlayer/test/AudioPlayerTest" "--gtest_filter=AudioPlayerTest.testFocusChangeFromNoneToBackgroundInIdleState")
add_test(AudioPlayerTest.testFocusChangesInPlayingState "/Users/h/sdk-folder/sdk-build/CapabilityAgents/AudioPlayer/test/AudioPlayerTest" "--gtest_filter=AudioPlayerTest.testFocusChangesInPlayingState")
add_test(AudioPlayerTest.testFocusChangesInStoppedState "/Users/h/sdk-folder/sdk-build/CapabilityAgents/AudioPlayer/test/AudioPlayerTest" "--gtest_filter=AudioPlayerTest.testFocusChangesInStoppedState")
add_test(AudioPlayerTest.testFocusChangesInPausedState "/Users/h/sdk-folder/sdk-build/CapabilityAgents/AudioPlayer/test/AudioPlayerTest" "--gtest_filter=AudioPlayerTest.testFocusChangesInPausedState")
add_test(AudioPlayerTest.testFocusChangesInBufferUnderrunState "/Users/h/sdk-folder/sdk-build/CapabilityAgents/AudioPlayer/test/AudioPlayerTest" "--gtest_filter=AudioPlayerTest.testFocusChangesInBufferUnderrunState")
add_test(AudioPlayerTest.testFocusChangeToBackgroundBeforeOnPlaybackStarted "/Users/h/sdk-folder/sdk-build/CapabilityAgents/AudioPlayer/test/AudioPlayerTest" "--gtest_filter=AudioPlayerTest.testFocusChangeToBackgroundBeforeOnPlaybackStarted")
add_test(AudioPlayerTest.testPlayAfterOnPlaybackError "/Users/h/sdk-folder/sdk-build/CapabilityAgents/AudioPlayer/test/AudioPlayerTest" "--gtest_filter=AudioPlayerTest.testPlayAfterOnPlaybackError")
add_test(AudioPlayerTest.testPlaybackStartedSwitchesHandler "/Users/h/sdk-folder/sdk-build/CapabilityAgents/AudioPlayer/test/AudioPlayerTest" "--gtest_filter=AudioPlayerTest.testPlaybackStartedSwitchesHandler")
add_test(AudioPlayerTest.testProgressReportDelayElapsed "/Users/h/sdk-folder/sdk-build/CapabilityAgents/AudioPlayer/test/AudioPlayerTest" "--gtest_filter=AudioPlayerTest.testProgressReportDelayElapsed")
add_test(AudioPlayerTest.testProgressReportDelayElapsedDelayLessThanOffset "/Users/h/sdk-folder/sdk-build/CapabilityAgents/AudioPlayer/test/AudioPlayerTest" "--gtest_filter=AudioPlayerTest.testProgressReportDelayElapsedDelayLessThanOffset")
add_test(AudioPlayerTest.testProgressReportIntervalElapsed "/Users/h/sdk-folder/sdk-build/CapabilityAgents/AudioPlayer/test/AudioPlayerTest" "--gtest_filter=AudioPlayerTest.testProgressReportIntervalElapsed")
add_test(AudioPlayerTest.testProgressReportIntervalElapsedIntervalLessThanOffset "/Users/h/sdk-folder/sdk-build/CapabilityAgents/AudioPlayer/test/AudioPlayerTest" "--gtest_filter=AudioPlayerTest.testProgressReportIntervalElapsedIntervalLessThanOffset")
add_test(IntervalCalculatorTest.intervalGreaterThanOffset "/Users/h/sdk-folder/sdk-build/CapabilityAgents/AudioPlayer/test/IntervalCalculatorTest" "--gtest_filter=IntervalCalculatorTest.intervalGreaterThanOffset")
add_test(IntervalCalculatorTest.intervalEqualToOffset "/Users/h/sdk-folder/sdk-build/CapabilityAgents/AudioPlayer/test/IntervalCalculatorTest" "--gtest_filter=IntervalCalculatorTest.intervalEqualToOffset")
add_test(IntervalCalculatorTest.intervalLessThanOffset "/Users/h/sdk-folder/sdk-build/CapabilityAgents/AudioPlayer/test/IntervalCalculatorTest" "--gtest_filter=IntervalCalculatorTest.intervalLessThanOffset")
add_test(IntervalCalculatorTest.intervalLessThanOffsetByMultipleTimes "/Users/h/sdk-folder/sdk-build/CapabilityAgents/AudioPlayer/test/IntervalCalculatorTest" "--gtest_filter=IntervalCalculatorTest.intervalLessThanOffsetByMultipleTimes")
add_test(IntervalCalculatorTest.intervalNegative "/Users/h/sdk-folder/sdk-build/CapabilityAgents/AudioPlayer/test/IntervalCalculatorTest" "--gtest_filter=IntervalCalculatorTest.intervalNegative")
add_test(IntervalCalculatorTest.offsetNegative "/Users/h/sdk-folder/sdk-build/CapabilityAgents/AudioPlayer/test/IntervalCalculatorTest" "--gtest_filter=IntervalCalculatorTest.offsetNegative")
add_test(IntervalCalculatorTest.intervalAndoffsetNegative "/Users/h/sdk-folder/sdk-build/CapabilityAgents/AudioPlayer/test/IntervalCalculatorTest" "--gtest_filter=IntervalCalculatorTest.intervalAndoffsetNegative")
add_test(IntervalCalculatorTest.intervalZero "/Users/h/sdk-folder/sdk-build/CapabilityAgents/AudioPlayer/test/IntervalCalculatorTest" "--gtest_filter=IntervalCalculatorTest.intervalZero")
add_test(IntervalCalculatorTest.offsetZero "/Users/h/sdk-folder/sdk-build/CapabilityAgents/AudioPlayer/test/IntervalCalculatorTest" "--gtest_filter=IntervalCalculatorTest.offsetZero")
add_test(IntervalCalculatorTest.nullOutputParameter "/Users/h/sdk-folder/sdk-build/CapabilityAgents/AudioPlayer/test/IntervalCalculatorTest" "--gtest_filter=IntervalCalculatorTest.nullOutputParameter")
